For the complete documentation index, see llms.txt. This page is also available as Markdown.

Call Flow Numbers

List call flow numbers.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
statestring · enumOptional

Filter call flow numbers by availability state.

Default: ANYPossible values:
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of entities.

Default: 50
querystringOptional

Filter call flow numbers by name.

Responses
200

The call flow numbers

application/json
idinteger · int64Optional
namestringOptional
statestring · enumOptionalPossible values:
get/call-flow-numbers
GET /api/call-flow-numbers HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The call flow numbers

[
  {
    "id": 1,
    "name": "text",
    "state": "AVAILABLE",
    "phoneNumber": {
      "regionCode": "text",
      "number": "text"
    },
    "assignedTo": {
      "id": 1,
      "name": "text"
    }
  }
]

Get a specific call flow number.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

The requested call flow number

application/json
idinteger · int64Optional
namestringOptional
statestring · enumOptionalPossible values:
get/call-flow-numbers/{id}
GET /api/call-flow-numbers/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested call flow number

{
  "id": 1,
  "name": "text",
  "state": "AVAILABLE",
  "phoneNumber": {
    "regionCode": "text",
    "number": "text"
  },
  "assignedTo": {
    "id": 1,
    "name": "text"
  }
}

Get the call flow number with the specified name.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
namestringRequired

unique name of the call flow number

Responses
200

The requested call flow number

application/json
idinteger · int64Optional
namestringOptional
statestring · enumOptionalPossible values:
get/call-flow-numbers/name/{name}
GET /api/call-flow-numbers/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested call flow number

{
  "id": 1,
  "name": "text",
  "state": "AVAILABLE",
  "phoneNumber": {
    "regionCode": "text",
    "number": "text"
  },
  "assignedTo": {
    "id": 1,
    "name": "text"
  }
}

Last updated

Was this helpful?